src/alge/cs_multigrid.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_multigrid.h File Reference
`#include "cs_base.h"`
`#include "cs_sles.h"`
Include dependency graph for cs_multigrid.h:

Go to the source code of this file.

## Functions
void | clmlga (const char *cname, const cs_int_t *lname, const cs_int_t *isym, const cs_int_t *ibsize, const cs_int_t *iesize, const cs_int_t *nagmax, const cs_int_t *ncpost, const cs_int_t *iwarnp, const cs_int_t *ngrmax, const cs_int_t *ncegrm, const cs_real_t *rlxp1, const cs_real_t *dam, const cs_real_t *xam)
void | dsmlga (const char *cname, const cs_int_t *lname)
void | resmgr (const char *cname, const cs_int_t *lname, const cs_int_t *iresds, const cs_int_t *iresas, const cs_int_t *ireslp, const cs_int_t *ipol, const cs_int_t *ncymxp, const cs_int_t *nitmds, const cs_int_t *nitmas, const cs_int_t *nitmap, const cs_int_t *iinvpe, const cs_int_t *iwarnp, cs_int_t *ncyclf, cs_int_t *niterf, const cs_real_t *epsilp, const cs_real_t *rnorm, cs_real_t *residu, const cs_real_t *rhs, cs_real_t *vx)
void | cs_multigrid_initialize (void)
void | cs_multigrid_finalize (void)
void | cs_multigrid_build (const char *var_name, int verbosity, int postprocess_block_size, int aggregation_limit, int n_max_levels, cs_gnum_t n_g_cells_min, double p0p1_relax, bool symmetric, const int *diag_block_size, const int *extra_diag_block_size, const cs_real_t *da, const cs_real_t *xa)
void | cs_multigrid_destroy (const char *var_name)
int | cs_multigrid_solve (const char *var_name, cs_sles_type_t descent_smoother_type, cs_sles_type_t ascent_smoother_type, cs_sles_type_t coarse_solver_type, bool abort_on_divergence, int poly_degree, cs_halo_rotation_t rotation_mode, int verbosity, int n_max_cycles, int n_max_iter_descent, int n_max_iter_ascent, int n_max_iter_coarse, double precision, double r_norm, int *n_cycles, int *n_iter, double *residue, const cs_real_t *rhs, cs_real_t *vx, size_t aux_size, void *aux_vectors)

## Function Documentation

void clmlga | ( | const char * | cname,
|  | const cs_int_t * | lname,
|  | const cs_int_t * | isym,
|  | const cs_int_t * | ibsize,
|  | const cs_int_t * | iesize,
|  | const cs_int_t * | nagmax,
|  | const cs_int_t * | ncpost,
|  | const cs_int_t * | iwarnp,
|  | const cs_int_t * | ngrmax,
|  | const cs_int_t * | ncegrm,
|  | const cs_real_t * | rlxp1,
|  | const cs_real_t * | dam,
|  | const cs_real_t * | xam
| ) |  |

void cs_multigrid_build | ( | const char * | var_name,
|  | int | verbosity,
|  | int | postprocess_block_size,
|  | int | aggregation_limit,
|  | int | n_max_levels,
|  | cs_gnum_t | n_g_cells_min,
|  | double | p0p1_relax,
|  | bool | symmetric,
|  | const int * | diag_block_size,
|  | const int * | extra_diag_block_size,
|  | const cs_real_t * | da,
|  | const cs_real_t * | xa
| ) |  |

void cs_multigrid_destroy | ( | const char * | var_name | ) |

void cs_multigrid_finalize | ( | void |  | ) |

void cs_multigrid_initialize | ( | void |  | ) |

int cs_multigrid_solve | ( | const char * | var_name,
|  | cs_sles_type_t | descent_smoother_type,
|  | cs_sles_type_t | ascent_smoother_type,
|  | cs_sles_type_t | coarse_solver_type,
|  | bool | abort_on_divergence,
|  | int | poly_degree,
|  | cs_halo_rotation_t | rotation_mode,
|  | int | verbosity,
|  | int | n_max_cycles,
|  | int | n_max_iter_descent,
|  | int | n_max_iter_ascent,
|  | int | n_max_iter_coarse,
|  | double | precision,
|  | double | r_norm,
|  | int * | n_cycles,
|  | int * | n_iter,
|  | double * | residue,
|  | const cs_real_t * | rhs,
|  | cs_real_t * | vx,
|  | size_t | aux_size,
|  | void * | aux_vectors
| ) |  |

void dsmlga | ( | const char * | cname,
|  | const cs_int_t * | lname
| ) |  |

void resmgr | ( | const char * | cname,
|  | const cs_int_t * | lname,
|  | const cs_int_t * | iresds,
|  | const cs_int_t * | iresas,
|  | const cs_int_t * | ireslp,
|  | const cs_int_t * | ipol,
|  | const cs_int_t * | ncymxp,
|  | const cs_int_t * | nitmds,
|  | const cs_int_t * | nitmas,
|  | const cs_int_t * | nitmap,
|  | const cs_int_t * | iinvpe,
|  | const cs_int_t * | iwarnp,
|  | cs_int_t * | ncyclf,
|  | cs_int_t * | niterf,
|  | const cs_real_t * | epsilp,
|  | const cs_real_t * | rnorm,
|  | cs_real_t * | residu,
|  | const cs_real_t * | rhs,
|  | cs_real_t * | vx
| ) |  |